<% if current_user.present? and !@nosidebar %>

  <% if current_user.role == 'staff' %>
    <div class="sidebar">
      <%= link_to 'Dashboard', staff_dashboard_path %>
      <%#= link_to 'Question Bank', staff_questions_path %>
      <%= link_to 'Tests', staff_tests_path %>
      <%= link_to 'Users', staff_users_path %>
      <%= link_to staff_messages_path do %>
        Chat With Users!
        <% c = Message.where(:is_read => false).where.not(sender_id: User.where(role: 'staff').collect(&:id)).count %>
        <% if c >0 %>
          (<%= c %>)
        <% end %>
      <% end %>
      <!--<%= link_to 'Guest Users', staff_guest_users_path %>-->
      <%= link_to 'Events', events_path %>
      <%= link_to 'gfs_registrations', new_gfs_registration_path %>
    </div>
  <% end %>
  <% if current_user.role != 'staff' %>
    <div class="sidebar">
      <%= link_to 'Dashboard', user_dashboard_path %>
      <% if current_user.assignments.present? %>
      <%= link_to 'Tests taken', reviewed_user_assignments_path %>
      <!--<%= link_to 'Pending tests', user_assignments_path %>-->
      <% end %>
      <%= link_to user_messages_path do %>
        Chat With Us!
        <% c = Message.where(:discussion_id => current_user.id, :is_read => false).where.not(sender_id: current_user.id).count %>
        <% if c >0 %>
          (<%= c %>)
        <% end %>
      <% end %>
    </div>
  <% end %>

<% end %>
